VTK: vtkHierarchicalGraphPipeline Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkHierarchicalGraphPipeline Class Reference

helper class for rendering graphs superimposed on a tree. More...

`#include <vtkHierarchicalGraphPipeline.h>`

Inheritance diagram for vtkHierarchicalGraphPipeline:
[legend]
Collaboration diagram for vtkHierarchicalGraphPipeline:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkHierarchicalGraphPipeline * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual vtkSelection * | ConvertSelection (vtkDataRepresentation *rep, vtkSelection *sel)
| Returns a new selection relevant to this graph based on an input selection and the view that this graph is contained in. More...
virtual void | PrepareInputConnections (vtkAlgorithmOutput *graphConn, vtkAlgorithmOutput *treeConn, vtkAlgorithmOutput *annConn)
| Sets the input connections for this graph. More...
virtual void | ApplyViewTheme (vtkViewTheme *theme)
| Applies the view theme to this graph. More...
void | RegisterProgress (vtkRenderView *view)
| Register progress with a view. More...
virtual vtkActor * | GetActor ()
| The actor associated with the hierarchical graph. More...
virtual vtkActor2D * | GetLabelActor ()
| The actor associated with the hierarchical graph. More...
virtual void | SetBundlingStrength (double strength)
| The bundling strength for the bundled edges. More...
virtual double | GetBundlingStrength ()
| The bundling strength for the bundled edges. More...
virtual void | SetLabelArrayName (const char *name)
| The edge label array name. More...
virtual const char * | GetLabelArrayName ()
| The edge label array name. More...
virtual void | SetLabelVisibility (bool vis)
| The edge label visibility. More...
virtual bool | GetLabelVisibility ()
| The edge label visibility. More...
virtual void | LabelVisibilityOn ()
| The edge label visibility. More...
virtual void | LabelVisibilityOff ()
| The edge label visibility. More...
virtual void | SetLabelTextProperty (vtkTextProperty *prop)
| The edge label text property. More...
virtual vtkTextProperty * | GetLabelTextProperty ()
| The edge label text property. More...
virtual void | SetColorArrayName (const char *name)
| The edge color array. More...
virtual const char * | GetColorArrayName ()
| The edge color array. More...
virtual void | SetColorEdgesByArray (bool vis)
| Whether to color the edges by an array. More...
virtual bool | GetColorEdgesByArray ()
| Whether to color the edges by an array. More...
virtual void | ColorEdgesByArrayOn ()
| Whether to color the edges by an array. More...
virtual void | ColorEdgesByArrayOff ()
| Whether to color the edges by an array. More...
virtual void | SetVisibility (bool vis)
| The visibility of this graph. More...
virtual bool | GetVisibility ()
| The visibility of this graph. More...
virtual void | VisibilityOn ()
| The visibility of this graph. More...
virtual void | VisibilityOff ()
| The visibility of this graph. More...
virtual void | SetHoverArrayName (const char *)
| The array to use while hovering over an edge. More...
virtual char * | GetHoverArrayName ()
| The array to use while hovering over an edge. More...
virtual void | SetSplineType (int type)
| The spline mode to use in vtkSplineGraphEdges. More...
virtual int | GetSplineType ()
| The spline mode to use in vtkSplineGraphEdges. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkHierarchicalGraphPipeline * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkHierarchicalGraphPipeline * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkHierarchicalGraphPipeline ()
| ~vtkHierarchicalGraphPipeline () override
virtual void | SetColorArrayNameInternal (const char *)
virtual char * | GetColorArrayNameInternal ()
virtual void | SetLabelArrayNameInternal (const char *)
virtual char * | GetLabelArrayNameInternal ()
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkApplyColors * | ApplyColors
vtkGraphHierarchicalBundleEdges * | Bundle
vtkGraphToPolyData * | GraphToPoly
vtkSplineGraphEdges * | Spline
vtkPolyDataMapper * | Mapper
vtkActor * | Actor
vtkTextProperty * | TextProperty
vtkEdgeCenters * | EdgeCenters
vtkDynamic2DLabelMapper * | LabelMapper
vtkActor2D * | LabelActor
char * | HoverArrayName
char * | ColorArrayNameInternal
char * | LabelArrayNameInternal
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

helper class for rendering graphs superimposed on a tree.

vtkHierarchicalGraphPipeline renders bundled edges that are meant to be viewed as an overlay on a tree. This class is not for general use, but is used in the internals of vtkRenderedHierarchyRepresentation and vtkRenderedTreeAreaRepresentation.

Definition at line 38 of file vtkHierarchicalGraphPipeline.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkHierarchicalGraphPipeline::Superclass

Definition at line 42 of file vtkHierarchicalGraphPipeline.h.

## Constructor & Destructor Documentation

## ◆ vtkHierarchicalGraphPipeline()

vtkHierarchicalGraphPipeline::vtkHierarchicalGraphPipeline | ( |  | ) |
| protected

## ◆ ~vtkHierarchicalGraphPipeline()

vtkHierarchicalGraphPipeline::~vtkHierarchicalGraphPipeline | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkHierarchicalGraphPipeline* vtkHierarchicalGraphPipeline::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkHierarchicalGraphPipeline::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkHierarchicalGraphPipeline::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkHierarchicalGraphPipeline* vtkHierarchicalGraphPipeline::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkHierarchicalGraphPipeline::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkHierarchicalGraphPipeline* vtkHierarchicalGraphPipeline::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkHierarchicalGraphPipeline::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ GetActor()

virtual vtkActor* vtkHierarchicalGraphPipeline::GetActor | ( |  | ) |
| virtual

The actor associated with the hierarchical graph.

## ◆ GetLabelActor()

virtual vtkActor2D* vtkHierarchicalGraphPipeline::GetLabelActor | ( |  | ) |
| virtual

The actor associated with the hierarchical graph.

## ◆ SetBundlingStrength()

virtual void vtkHierarchicalGraphPipeline::SetBundlingStrength | ( | double | strength | ) |
| virtual

The bundling strength for the bundled edges.

## ◆ GetBundlingStrength()

virtual double vtkHierarchicalGraphPipeline::GetBundlingStrength | ( |  | ) |
| virtual

The bundling strength for the bundled edges.

## ◆ SetLabelArrayName()

virtual void vtkHierarchicalGraphPipeline::SetLabelArrayName | ( | const char * | name | ) |
| virtual

The edge label array name.

## ◆ GetLabelArrayName()

virtual const char* vtkHierarchicalGraphPipeline::GetLabelArrayName | ( |  | ) |
| virtual

The edge label array name.

## ◆ SetLabelVisibility()

virtual void vtkHierarchicalGraphPipeline::SetLabelVisibility | ( | bool | vis | ) |
| virtual

The edge label visibility.

## ◆ GetLabelVisibility()

virtual bool vtkHierarchicalGraphPipeline::GetLabelVisibility | ( |  | ) |
| virtual

The edge label visibility.

## ◆ LabelVisibilityOn()

virtual void vtkHierarchicalGraphPipeline::LabelVisibilityOn | ( |  | ) |
| virtual

The edge label visibility.

## ◆ LabelVisibilityOff()

virtual void vtkHierarchicalGraphPipeline::LabelVisibilityOff | ( |  | ) |
| virtual

The edge label visibility.

## ◆ SetLabelTextProperty()

virtual void vtkHierarchicalGraphPipeline::SetLabelTextProperty | ( | vtkTextProperty * | prop | ) |
| virtual

The edge label text property.

## ◆ GetLabelTextProperty()

virtual vtkTextProperty* vtkHierarchicalGraphPipeline::GetLabelTextProperty | ( |  | ) |
| virtual

The edge label text property.

## ◆ SetColorArrayName()

virtual void vtkHierarchicalGraphPipeline::SetColorArrayName | ( | const char * | name | ) |
| virtual

The edge color array.

## ◆ GetColorArrayName()

virtual const char* vtkHierarchicalGraphPipeline::GetColorArrayName | ( |  | ) |
| virtual

The edge color array.

## ◆ SetColorEdgesByArray()

virtual void vtkHierarchicalGraphPipeline::SetColorEdgesByArray | ( | bool | vis | ) |
| virtual

Whether to color the edges by an array.

## ◆ GetColorEdgesByArray()

virtual bool vtkHierarchicalGraphPipeline::GetColorEdgesByArray | ( |  | ) |
| virtual

Whether to color the edges by an array.

## ◆ ColorEdgesByArrayOn()

virtual void vtkHierarchicalGraphPipeline::ColorEdgesByArrayOn | ( |  | ) |
| virtual

Whether to color the edges by an array.

## ◆ ColorEdgesByArrayOff()

virtual void vtkHierarchicalGraphPipeline::ColorEdgesByArrayOff | ( |  | ) |
| virtual

Whether to color the edges by an array.

## ◆ SetVisibility()

virtual void vtkHierarchicalGraphPipeline::SetVisibility | ( | bool | vis | ) |
| virtual

The visibility of this graph.

## ◆ GetVisibility()

virtual bool vtkHierarchicalGraphPipeline::GetVisibility | ( |  | ) |
| virtual

The visibility of this graph.

## ◆ VisibilityOn()

virtual void vtkHierarchicalGraphPipeline::VisibilityOn | ( |  | ) |
| virtual

The visibility of this graph.

## ◆ VisibilityOff()

virtual void vtkHierarchicalGraphPipeline::VisibilityOff | ( |  | ) |
| virtual

The visibility of this graph.

## ◆ ConvertSelection()

virtual vtkSelection* vtkHierarchicalGraphPipeline::ConvertSelection | ( | vtkDataRepresentation * | rep,
|  | vtkSelection * | sel
| ) |  |
| virtual

Returns a new selection relevant to this graph based on an input selection and the view that this graph is contained in.

## ◆ PrepareInputConnections()

virtual void vtkHierarchicalGraphPipeline::PrepareInputConnections | ( | vtkAlgorithmOutput * | graphConn,
|  | vtkAlgorithmOutput * | treeConn,
|  | vtkAlgorithmOutput * | annConn
| ) |  |
| virtual

Sets the input connections for this graph.

graphConn is the input graph connection. treeConn is the input tree connection. annConn is the annotation link connection.

## ◆ ApplyViewTheme()

virtual void vtkHierarchicalGraphPipeline::ApplyViewTheme | ( | vtkViewTheme * | theme | ) |
| virtual

Applies the view theme to this graph.

## ◆ SetHoverArrayName()

virtual void vtkHierarchicalGraphPipeline::SetHoverArrayName | ( | const char * |  | ) |
| virtual

The array to use while hovering over an edge.

## ◆ GetHoverArrayName()

virtual char* vtkHierarchicalGraphPipeline::GetHoverArrayName | ( |  | ) |
| virtual

The array to use while hovering over an edge.

## ◆ SetSplineType()

virtual void vtkHierarchicalGraphPipeline::SetSplineType | ( | int | type | ) |
| virtual

The spline mode to use in vtkSplineGraphEdges.

vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline. vtkSplineGraphEdges::BSPLINE uses a b-spline. The default is BSPLINE.

## ◆ GetSplineType()

virtual int vtkHierarchicalGraphPipeline::GetSplineType | ( |  | ) |
| virtual

The spline mode to use in vtkSplineGraphEdges.

vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline. vtkSplineGraphEdges::BSPLINE uses a b-spline. The default is BSPLINE.

## ◆ RegisterProgress()

void vtkHierarchicalGraphPipeline::RegisterProgress | ( | vtkRenderView * | view | ) |

Register progress with a view.

## ◆ SetColorArrayNameInternal()

virtual void vtkHierarchicalGraphPipeline::SetColorArrayNameInternal | ( | const char * |  | ) |
| protectedvirtual

## ◆ GetColorArrayNameInternal()

virtual char* vtkHierarchicalGraphPipeline::GetColorArrayNameInternal | ( |  | ) |
| protectedvirtual

## ◆ SetLabelArrayNameInternal()

virtual void vtkHierarchicalGraphPipeline::SetLabelArrayNameInternal | ( | const char * |  | ) |
| protectedvirtual

## ◆ GetLabelArrayNameInternal()

virtual char* vtkHierarchicalGraphPipeline::GetLabelArrayNameInternal | ( |  | ) |
| protectedvirtual

## Member Data Documentation

## ◆ ApplyColors

vtkApplyColors* vtkHierarchicalGraphPipeline::ApplyColors
| protected

Definition at line 166 of file vtkHierarchicalGraphPipeline.h.

## ◆ Bundle

vtkGraphHierarchicalBundleEdges* vtkHierarchicalGraphPipeline::Bundle
| protected

Definition at line 167 of file vtkHierarchicalGraphPipeline.h.

## ◆ GraphToPoly

vtkGraphToPolyData* vtkHierarchicalGraphPipeline::GraphToPoly
| protected

Definition at line 168 of file vtkHierarchicalGraphPipeline.h.

## ◆ Spline

vtkSplineGraphEdges* vtkHierarchicalGraphPipeline::Spline
| protected

Definition at line 169 of file vtkHierarchicalGraphPipeline.h.

## ◆ Mapper

vtkPolyDataMapper* vtkHierarchicalGraphPipeline::Mapper
| protected

Definition at line 170 of file vtkHierarchicalGraphPipeline.h.

## ◆ Actor

vtkActor* vtkHierarchicalGraphPipeline::Actor
| protected

Definition at line 171 of file vtkHierarchicalGraphPipeline.h.

## ◆ TextProperty

vtkTextProperty* vtkHierarchicalGraphPipeline::TextProperty
| protected

Definition at line 172 of file vtkHierarchicalGraphPipeline.h.

## ◆ EdgeCenters

vtkEdgeCenters* vtkHierarchicalGraphPipeline::EdgeCenters
| protected

Definition at line 173 of file vtkHierarchicalGraphPipeline.h.

## ◆ LabelMapper

vtkDynamic2DLabelMapper* vtkHierarchicalGraphPipeline::LabelMapper
| protected

Definition at line 174 of file vtkHierarchicalGraphPipeline.h.

## ◆ LabelActor

vtkActor2D* vtkHierarchicalGraphPipeline::LabelActor
| protected

Definition at line 175 of file vtkHierarchicalGraphPipeline.h.

## ◆ HoverArrayName

char* vtkHierarchicalGraphPipeline::HoverArrayName
| protected

Definition at line 177 of file vtkHierarchicalGraphPipeline.h.

## ◆ ColorArrayNameInternal

char* vtkHierarchicalGraphPipeline::ColorArrayNameInternal
| protected

Definition at line 181 of file vtkHierarchicalGraphPipeline.h.

## ◆ LabelArrayNameInternal

char* vtkHierarchicalGraphPipeline::LabelArrayNameInternal
| protected

Definition at line 185 of file vtkHierarchicalGraphPipeline.h.

The documentation for this class was generated from the following file:

- Views/Infovis/vtkHierarchicalGraphPipeline.h